!
! app-defaults file for xax500 (X.500 Directory User Agent)
!

!
! *************************************************************************
! General Resources
! *************************************************************************
!
! Default colors
*background:				grey
*foreground:				black
*XmText*background:			grey60
*XmTextField*background:		grey60

! Default font list
*fontList: -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*=helvbold, \
	   -adobe-helvetica-*-r-*-*-12-*-*-*-*-*-*-*=iconfont

! Location of xax500 help file
*helpFile:				%ETCDIR%/xax500help.txt

! Friendly name mapping file
*friendlyMap:				%ETCDIR%/ldapfriendly

! Name of LDAP filter configuration file
*ldapFilterFile:			%ETCDIR%/ldapfilter.conf

! Name of LDAP template configuration file
*ldapTemplatesFile:			%ETCDIR%/ldaptemplates.conf

! Name of LDAP search preferences configuration file
*ldapSearchprefsFile:			%ETCDIR%/ldapsearchprefs.conf

! Filter to use when doing authentication searches
*authFilter:				xax500-auth

*xax500NewsURL:		http://www.umich.edu/~rsug/x500/xax500/xax500news.html

! LDAP operation timeout values (in seconds)
*ldapSearchTimeout:			60
*ldapReadTimeout:			60
*ldapWriteTimeout:			90

! Allow (or not) multiple entry windows
*multipleEntryWindows:					True

! LDAP server name
*ldapServer:						ldap.itd.umich.edu

! LDAP port number
*ldapPort:						389

! Default DN to bind as upon startup
*ldapBindDN:	cn=xax500, ou=Miscellaneous Servers, o=University of Michigan, c=US

! Initial search base
*searchBase:				o=University of Michigan, c=US

! Size of LDAP cache in kilobytes.  0 == cache disabled
*ldapCacheSize:						256

! LDAP cache timeout in minutes
*ldapCacheTimeout:					5

! Default viewer applications
*jpegViewer:						xv
*audioViewer:						showaudio
*wwwViewer:						xmosaic

! Maximum length of the selector string in the multiple-match window
*maxSelLen:						50

! Start up with more choices configuration
*moreChoices:						False

!
! Drag and Drop setup
!
*DragInitiatorProtocolStyle:		DRAG_PREFER_DYNAMIC
*DragReceiverProtocolStyle:		DRAG_PREFER_DYNAMIC

!
! *************************************************************************
! Menu Resources
! *************************************************************************
!

! File menu stuff
*NewEntryButton.labelString:				New Entry
*NewEntryButton.accelerator:				Ctrl<Key>N
*NewEntryButton.acceleratorText:			Ctrl+N
*NewEntryButton.mnemonic:				N

*PrintButton.labelString:				Print...
*PrintButton.mnemonic:					P

*PreferencesButton.labelString:				Preferences
*PreferencesButton.accelerator:				Ctrl<Key>;
*PreferencesButton.acceleratorText:			Ctrl+;

*ShowStatusButton.labelString:				Show xax500 Status

*RetrieveNewsButton.labelString:			Retrieve xax500 News

*QuitButton.labelString:				Quit
*QuitButton.accelerator:				Ctrl<Key>Q
*QuitButton.acceleratorText:				Ctrl+Q
*QuitButton.mnemonic:					Q

! Edit menu stuff
*CutButton.labelString:					Cut
*CutButton.accelerator:					Ctrl<Key>X
*CutButton.acceleratorText:				Ctrl+X

*CopyButton.labelString:				Copy
*CopyButton.accelerator:				Ctrl<Key>C
*CopyButton.acceleratorText:				Ctrl+C

*PasteButton.labelString:				Paste
*PasteButton.accelerator:				Ctrl<Key>V
*PasteButton.acceleratorText:				Ctrl+V

*ClearButton.labelString:				Clear

*CopyEntryNameButton.labelString:			Copy Entry Name

! Directory menu stuff
*AuthenticateButton.labelString:			Authenticate
*AuthenticateButton.accelerator:			Ctrl<Key>U
*AuthenticateButton.acceleratorText:			Ctrl+U
*AuthenticateButton.mnemonic:				u

*DiscardAuthenticationButton.labelString:		Discard Authentication

*FlushCacheButton.labelString:				Flush local cache

! Searchbase menu stuff
*BrowseButton.labelString:				Browse
*BrowseButton.accelerator:				Ctrl<Key>B
*BrowseButton.acceleratorText:				Ctrl+B
*BrowseButton.mnemonic:					B

*RecentlyUsedButton.labelString:			Recently Used
*RecentlyUsedButton.mnemonic:				R

*ModifyThisMenuButton.labelString:			Modify This Menu...

! Help menu stuff
*AboutButton.labelString:				About xax500

*HelpButton.labelString:				Help
*HelpButton.accelerator:				Alt<Key>F1
*HelpButton.acceleratorText:				Alt+F1

!
! *************************************************************************
! Configuration of various dialogs
! *************************************************************************

!
! Search results dialog
!
*SearchResultsDlg.height:				600
*SearchResultsDlg.width:				700

!
! Label for menu which allows you to add attributes to an entry
!
*addMenu.labelString:					Add Value

!
! Main (find) window resources
!
*findWindow.width:					600
*findWindow.spacing:					1
*findWindow*mainSearchLabel.labelString:		Search For
! Font to use for Searchbase Display in find Window
*findWindow*mainSB*fontList:	-*-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
*findWindow*mainBoundAs*fontList: -*-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*


! Labels for buttons in find dialog
*findButtonLabel.labelString:				Find
*fewerButtonLabel:					Fewer Choices
*moreButtonLabel:					More Choices
*searchAttrOption.labelString:				whose
*searchMatchOption.labelString:				
*searchObjectOption.labelString:			Find
*lookWithinString:					Look Within
*theWorldString:					<The World>
*boundAsString:						Bound As

!
! Entry List Windows
!
*selectDlg.okLabelString:				Display
*selectDlg.cancelLabelString:				Dismiss
*selectDlg.autoUnmanage:				False
*selectDlg*resizable:					False
*selectDlg*fontList: -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*=selectfont, \
		        -adobe-helvetica-medium-o-*-*-12-*-*-*-*-*-*-*=selectfont2
*simpleFindSelectDlg.okLabelString:			Display
*simpleFindSelectDlg.cancelLabelString:			Dismiss
*simpleFindSelectDlg.autoUnmanage:			False
*simpleFindSelectDlg*resizable:				False
*simpleFindSelectDlg*fontList: -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*=selectfont, \
		        -adobe-helvetica-medium-o-*-*-12-*-*-*-*-*-*-*=selectfont2
*msgSortByFullName:					Sort by Full Name
*msgSortBySurname:					Sort by Surname

!
! Select window (for authentication)
!
*authselDlg.okLabelString:				Authenticate
*authselDlg.cancelLabelString:				Dismiss
*authselDlg.autoUnmanage:				False
*authselDlg.width:					607
*authselDlg*resizable:					False
*authselDlg*fontList: -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*=selectfont, \
		        -adobe-helvetica-medium-o-*-*-12-*-*-*-*-*-*-*=selectfont2

!
! Authenticate as DN Dialog
!
*authDNDlg.dialogTitle:					Authenticate
*authDNDlg.listLabelString:				Choose an entry to authenticate as	

!
! Display Window resources
!
*displayDlg.allowShellResize:				True
*displayDlg.deleteResponse:				do_nothing
*displayForm.resizable:					True
*displayPane.resizable:					True
*displaySWin.visualPolicy:				variable
*displaySWin.width:					550
*displaySWin.height:					600
*displayDlg*textWidget.editMode:			MULTI_LINE_EDIT
*displayDlg*displaySaveButton.labelString:		Save Entry
*displayDlg*displayDismissButton.labelString:		Dismiss
*displayDlg*displayHelpButton.labelString:		Help

! Appearance for "see also" buttons
*URLButton.arrowDirection:				arrow_right
*DNButton.arrowDirection:				arrow_right

!
! Browse Dialog resources
!
*browseDlg.title:					xax500 Browser
*browseDlg.deleteResponse:				do_nothing
*browseDlg.iconName:					Browser
*browseDlg*fontList: -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*=browserfont, \
		     -adobe-helvetica-medium-o-*-*-12-*-*-*-*-*-*-*=browserfont2
*browserWorldButton.labelString:			<The World>
*browseDlg*browseDoneButton.labelString:		Dismiss
*browseDlg*browseOpenButton.labelString:		Open
*browseDlg*browseDisplayButton.labelString:		Display
*browseDlg*browseSetSearchbaseButton.labelString:	Set Searchbase
*browseDlg*browseHelpButton.labelString:		Help

! Title for error dialogs
*errorDlg.dialogTitle:					Error

! Title for info dialogs
*infoDlg.dialogTitle:					Information

!
! About dialog information
!
*aboutDlg.iconName:					About xax500
*aboutDlg.deleteResponse:				do_nothing
*aboutDlg*aboutDismissButton.labelString:		Dismiss
*aboutDlg*aboutHelpButton.labelString:			Help
*aboutDlg*aboutLabel.alignment:				alignment_beginning
*aboutDlg*aboutLabel.fontList:				-*-new century schoolbook-medium-r-*-*-12-*-*-*-*-*-*-*

!
! Authenticate as dialog resources
!
*authAsDialog.dialogTitle:				Authenticate
*authAsDialog.selectionLabelString:			Authenticate as:
*authAsDialog.width:					600

!
! "Select an Authentication Type" dialog resources
!
*authTypeDlg.dialogTitle:				Authentication Type
*authTypeDlg.width:					310
*authTypeDlg.height:					150
*authTypeDlg.listLabelString:				Select an authentication method
*authTypeDlg.okLabelString:				Bind
*authTypeDlg.cancelLabelString:				Cancel
*authTypeDlg.helpLabelString:				Help

!
! Password dialog resources
!
*passwdDialog.selectionLabelString:			Enter your password:
*passwdDialog.dialogTitle:				Password

!
! ync (Yes-No-Cancel) dialog resources
!
*yncDialog*okLabelString:				Yes
*yncDialog*cancelLabelString:				No
*yncDialog*helpLabelString:				Cancel
*yncDialog*dialogTitle:					Question

!
! Help dialog resources
!
*helpDlg.iconName:					xax500 help
*helpDlg*fontList:			-*-courier-*-r-*-*-14-*-*-*-*-*-*-*
*helpDlg.deleteResponse:				do_nothing
*helpDlg*helpDismissButton.labelString:			Dismiss
*helpDlg*helpSWin.width:				740
*helpDlg*helpSWin.height:				500
*helpDlg*normalFont:	-*-times-medium-r-normal-*-14-*-*-*-*-*-*-*
*helpDlg*highlightFont:	-*-times-bold-i-normal-*-14-*-*-*-*-*-*-*
*helpDlg*helpHyper*highlightColor:			mediumslateblue
*helpDlg*boldFont:	-*-times-bold-r-normal-*-14-*-*-*-*-*-*-*
*helpDlg*italicFont:	-*-times-medium-i-normal-*-14-*-*-*-*-*-*-*
*helpDlg*zoomEffect:					on
*helpDlg*zoomSpeed:					1
*helpDlg*helpPrevButton.labelString:			Previous Topic
*helpDlg*helpNextButton.labelString:			Next Topic
*helpDlg.width:						500
*helpDlg.height:					600


!
! Resources for dialog which appears while xax500 is starting up
!
*startupDlg*width:					200
*startupDlg*height:					80

!
! "Add a DN" dialog resources
!
*addDNDlg.selectionLabelString:				Name to add:
*addDNDlg.dialogTitle:					Add Distinguished Name

!
! "Add a Labeled URL" dialog resources
*URLeditDlg.dialogTitle:				Add Labeled URL
*URLeditLabelString.labelString:			Label:
*URLeditDlg.selectionLabelString:			URL:
*URLeditDlg.width:					400
*URLeditDlg.height:					200

!
! Error message texts
!
*emBlanksNotAllowed:		Blanks are not allowed in email addresses
*emSearchTimedOut:		The search operation timed out
*emBlankURLNotAllowed:		Empty URLs are not permitted
*emBadDNArgs:			Malformed arguments for adddn action - check ldaptemplates configuration file
*emSizeLimit:			(Partial results - a size limit was exceeded)
*emTimeLimit:			(Partial results - a time limit was exceeded)

!
! newEntryDialog settings
!
*newEntryDialog.title:			New Entry
*newEntryDialog.width:			400
*newEntryDialog.height:			250
*newEntryDialog*newEntryChooseLocationButton.labelString:	Choose Location
*newEntryDialog*newEntryOKButton.labelString:			OK
*newEntryDialog*newEntryCancelButton.labelString:		Cancel
*newEntryDialog*newEntryNameLabel.labelString:			Entry Name:
*newEntryDialog*newEntryLocationLabel.labelString:		Location:
*newEntryDialog*newEntryTypeLabel.labelString:		Select the type of entry to add:

!
! For testing.  Leave commented out.
!
!*helpFile:				./xax500help.txt
!*friendlyMap:				./ldapfriendly
!*ldapFilterFile:			./ldapfilter.conf
!*ldapTemplatesFile:			./ldaptemplates.conf
!*ldapSearchprefsFile:			./ldapsearchprefs.conf

