/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

/*
 * bitmap, pixmap initialization
 */


#include <Xm/Xm.h>

#include "find.xbm"
#include "world.xbm"
#include "prefs.xbm"
#include "app.xbm"
#include "trash.xbm"
#include "trash_open.xbm"
#include "xax500.xbm"
#include "camera.xbm"
#include "speaker.xbm"
#include "camera_inactive.xbm"
#include "speaker_inactive.xbm"
#include "dndragicon.xbm"
#include "dndragiconmsk.xbm"
#include "urldragicon.xbm"
#include "urldragiconmsk.xbm"

static XImage xax500_image = {
xax500_width,
xax500_height,
0,
XYBitmap,
xax500_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
61
};

static XImage find_image = {
find_width,
find_height,
0,
XYBitmap,
find_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
3
};

static XImage world_image = {
world_width,
world_height,
0,
XYBitmap,
world_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
3
};

static XImage prefs_image = {
prefs_width,
prefs_height,
0,
XYBitmap,
prefs_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
3
};

static XImage trash_image = {
trash_width,
trash_height,
0,
XYBitmap,
trash_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
3
};

static XImage trash_open_image = {
trash_open_width,
trash_open_height,
0,
XYBitmap,
trash_open_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
5
};

static XImage app_image = {
app_width,
app_height,
0,
XYBitmap,
app_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
6
};

static XImage camera_image = {
camera_width,
camera_height,
0,
XYBitmap,
camera_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
2
};

static XImage speaker_image = {
speaker_width,
speaker_height,
0,
XYBitmap,
speaker_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
2
};

static XImage camera_inactive_image = {
camera_inactive_width,
camera_inactive_height,
0,
XYBitmap,
camera_inactive_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
2
};

static XImage speaker_inactive_image = {
speaker_inactive_width,
speaker_inactive_height,
0,
XYBitmap,
speaker_inactive_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
2
};

static XImage dndragicon_image = {
dndragicon_width,
dndragicon_height,
0,
XYBitmap,
dndragicon_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
4
};

static XImage dndragiconmsk_image = {
dndragiconmsk_width,
dndragiconmsk_height,
0,
XYBitmap,
dndragiconmsk_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
4
};


static XImage urldragicon_image = {
urldragicon_width,
urldragicon_height,
0,
XYBitmap,
urldragicon_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
4
};

static XImage urldragiconmsk_image = {
urldragiconmsk_width,
urldragiconmsk_height,
0,
XYBitmap,
urldragiconmsk_bits,
MSBFirst,
8,
LSBFirst,
8,
1,
4
};


void
init_pixmaps()
{
    XmInstallImage(&find_image, "find_image");
    XmInstallImage(&world_image, "world_image");
    XmInstallImage(&prefs_image, "prefs_image");
    XmInstallImage(&app_image, "app_image");
    XmInstallImage(&trash_image, "trash_image");
    XmInstallImage(&trash_open_image, "trash_open_image");
    XmInstallImage(&xax500_image, "xax500_image");
    XmInstallImage(&camera_image, "camera_image");
    XmInstallImage(&speaker_image, "speaker_image");
    XmInstallImage(&camera_inactive_image, "camera_inactive_image");
    XmInstallImage(&speaker_inactive_image, "speaker_inactive_image");
    XmInstallImage(&dndragicon_image, "dndragicon_image");
    XmInstallImage(&dndragiconmsk_image, "dndragiconmsk_image");
    XmInstallImage(&urldragicon_image, "urldragicon_image");
    XmInstallImage(&urldragiconmsk_image, "urldragiconmsk_image");
}
