/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */
/*
 $Log: display.h,v $
 * Revision 1.7  1995/11/16  22:15:40  ggood
 * added prototypes, moved definition of actionData from display.h to
 * dtypes.h
 *
 * Revision 1.6  1995/11/16  18:41:00  ggood
 * Added prototypes
 *
 * Revision 1.5  1995/11/15  17:31:03  ggood
 * typo
 *
 * Revision 1.4  1995/10/18  19:00:16  ggood
 * RCS testing
 *
 */

#define	IN_WINDOW	1;
#define	IN_BUTTONAREA	2;

#ifndef NEEDPROTOS
extern void	display_entry();
extern void	freeDisplayData();
extern void	displayStartDrag();
extern Widget	createDNWidget();
extern Widget	createURLWidget();
extern void	invokeWWWViewer();
extern void	openURL();
extern void	invokeAudioViewer();
extern void	invokeJpegViewer();
extern void	displayTextFocus();
extern void	displayButtonToggle();
extern void	doAddDN();
extern void	doSearchAction();
#else /* !NEEDPROTOS */
extern void	display_entry(entryData *en, struct ldap_disptmpl *dt);
extern void	freeDisplayData(displayData *dd);
extern void	displayStartDrag(Widget w, XEvent *event, String *params,
			Cardinal *num_params);
extern Widget	createDNWidget(Widget parent, displayAttrData *dad,
			char *dn);
extern Widget	createURLWidget(Widget parent, displayAttrData *dad,
			char *lurl);
extern void	invokeWWWViewer(Widget w, XtPointer client_data,
			XmPushButtonCallbackStruct *cbs);
extern void	openURL(Widget w, char *lurl);
extern void	invokeAudioViewer(Widget w, XtPointer client_data,
			XmPushButtonCallbackStruct *cbs);
extern void	invokeJpegViewer(Widget w, XtPointer client_data,
			XmPushButtonCallbackStruct *cbs);
extern void	displayTextFocus(Widget w, displayAttrData *dad,
			XmAnyCallbackStruct *cbs);
extern void	displayButtonToggle(Widget w, displayAttrData *dad,
			XmToggleButtonCallbackStruct *cbs);
extern void	doAddDN(Widget w, displayAttrData *dad,
			XmPushButtonCallbackStruct *cbs);
extern void	doSearchAction(Widget w, displayAttrData *dad,
			XmPushButtonCallbackStruct *cbs);
#endif /* !NEEDPROTOS */

/*
 * Template (for mkstemp()) for xax500 temp files.
 */
#define	TMPFILE_TEMPLATE	"/tmp/xax500XXXXXX"

#define	ACTION_TYPE_SEARCHACT	1
#define	ACTION_TYPE_ADDDNACT	2
#define	ACTION_TYPE_VERIFYACT	3
#define ACTION_TYPE_LINKACT	4

typedef struct adddnactData {
    char		*adddn_value;
    char		*adddn_dstdn;
    char		*adddn_dstattr;
    char		*adddn_disableattr;
    char		*adddn_existsmsg;
    char		*adddn_confmsg;
} adddnactData;


typedef struct searchactData {
    char		*search_value;
    char		*search_filter;
    char		*search_disambig;
    char		*search_disambiglabel;
} searchactData;

typedef struct verifyactData {
    char		*verify_attr;
    char		**verify_options;
} verifyactData;

typedef struct linkactData {
} linkactData;

#define AP_AVAL		0
#define AP_ADDN		1
#define AP_ADAT		2
#define AP_ADIS		3
#define AP_AEERR	4
#define AP_ACMG		5

#define SP_AVAL		0
#define SP_AFIL		1
#define SP_ADAMB	2
#define SP_ADAMBL	3
#define SP_ADIS		4
