/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

/*
 * Fallback resources
 */


#include <X11/Intrinsic.h>
#include <stdio.h>

String fallbacks[] = {
"*background: grey",
"*foreground: black",
"*XmText*background: grey60",
"*XmTextField*background: grey60",
"*fontList: -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*=helvbold, -adobe-helvetica-*-r-*-*-12-*-*-*-*-*-*-*=iconfont",
"*helpFile: %ETCDIR%/xax500help.txt",
"*friendlyMap: %ETCDIR%/ldapfriendly",
"*ldapFilterFile: %ETCDIR%/ldapfilter.conf",
"*ldapTemplatesFile: %ETCDIR%/ldaptemplates.conf",
"*ldapSearchprefsFile: %ETCDIR%/ldapsearchprefs.conf",
"*xax500NewsURL: http://www.umich.edu/~rsug/x500/xax500/xax500news.html",
"*authFilter: xax500-auth",
"*ldapSearchTimeout: 60",
"*ldapReadTimeout: 60",
"*ldapWriteTimeout: 90",
"*multipleEntryWindows: True",
"*ldapServer: ldap.itd.umich.edu",
"*ldapPort: 389",
"*ldapBindDN: cn=xax500, ou=Miscellaneous Servers, o=University of Michigan, c=US",
"*searchBase: o=University of Michigan, c=US",
"*ldapCacheSize: 256",
"*ldapCacheTimeout: 5",
"*jpegViewer: xv",
"*audioViewer: showaudio",
"*wwwViewer: xmosaic",
"*maxSelLen: 50",
"*moreChoices: False",
"*DragInitiatorProtocolStyle: DRAG_PREFER_DYNAMIC",
"*DragReceiverProtocolStyle: DRAG_PREFER_DYNAMIC",
"*NewEntryButton.labelString: New Entry",
"*NewEntryButton.accelerator: Ctrl<Key>N",
"*NewEntryButton.acceleratorText: Ctrl+N",
"*NewEntryButton.mnemonic: N",
"*PrintButton.labelString: Print...",
"*PrintButton.mnemonic: P",
"*PreferencesButton.labelString: Preferences",
"*PreferencesButton.accelerator: Ctrl<Key>;",
"*PreferencesButton.acceleratorText: Ctrl+;",
"*ShowStatusButton.labelString: Show xax500 Status",
"*RetrieveNewsButton.labelString: Retrieve xax500 News",
"*QuitButton.labelString: Quit",
"*QuitButton.accelerator: Ctrl<Key>Q",
"*QuitButton.acceleratorText: Ctrl+Q",
"*QuitButton.mnemonic: Q",
"*CutButton.labelString: Cut",
"*CutButton.accelerator: Ctrl<Key>X",
"*CutButton.acceleratorText: Ctrl+X",
"*CopyButton.labelString: Copy",
"*CopyButton.accelerator: Ctrl<Key>C",
"*CopyButton.acceleratorText: Ctrl+C",
"*PasteButton.labelString: Paste",
"*PasteButton.accelerator: Ctrl<Key>V",
"*PasteButton.acceleratorText: Ctrl+V",
"*ClearButton.labelString: Clear",
"*CopyEntryNameButton.labelString: Copy Entry Name",
"*AuthenticateButton.labelString: Authenticate",
"*AuthenticateButton.accelerator: Ctrl<Key>U",
"*AuthenticateButton.acceleratorText: Ctrl+U",
"*AuthenticateButton.mnemonic: u",
"*DiscardAuthenticationButton.labelString: Discard Authentication",
"*FlushCacheButton.labelString: Flush local cache",
"*BrowseButton.labelString: Browse",
"*BrowseButton.accelerator: Ctrl<Key>B",
"*BrowseButton.acceleratorText: Ctrl+B",
"*BrowseButton.mnemonic: B",
"*RecentlyUsedButton.labelString: Recently Used",
"*RecentlyUsedButton.mnemonic: R",
"*ModifyThisMenuButton.labelString: Modify This Menu...",
"*AboutButton.labelString: About xax500",
"*HelpButton.labelString: Help",
"*HelpButton.accelerator: Alt<Key>F1",
"*HelpButton.acceleratorText: Alt+F1",
"*SearchResultsDlg.height: 600",
"*SearchResultsDlg.width: 700",
"*addMenu.labelString: Add Value",
"*findWindow.width: 600",
"*findWindow.spacing: 1",
"*findWindow*mainSearchLabel.labelString: Search For",
"*findWindow*mainSB*fontList: -*-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*",
"*findWindow*mainBoundAs*fontList: -*-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*",
"*findButtonLabel.labelString: Find",
"*fewerButtonLabel: Fewer Choices",
"*moreButtonLabel: More Choices",
"*searchAttrOption.labelString: whose",
"*searchMatchOption.labelString: ",
"*searchObjectOption.labelString: Find",
"*lookWithinString: Look Within",
"*theWorldString: <The World>",
"*boundAsString: Bound As",
"*selectDlg.okLabelString: Display",
"*selectDlg.cancelLabelString: Dismiss",
"*selectDlg.autoUnmanage: False",
"*selectDlg*resizable: False",
"*selectDlg*fontList: -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*=selectfont, -adobe-helvetica-medium-o-*-*-12-*-*-*-*-*-*-*=selectfont2",
"*simpleFindSelectDlg.okLabelString: Display",
"*simpleFindSelectDlg.cancelLabelString: Dismiss",
"*simpleFindSelectDlg.autoUnmanage: False",
"*simpleFindSelectDlg*resizable: False",
"*simpleFindSelectDlg*fontList: -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*=selectfont, -adobe-helvetica-medium-o-*-*-12-*-*-*-*-*-*-*=selectfont2",
"*msgSortByFullName: Sort by Full Name",
"*msgSortBySurname: Sort by Surname",
"*authselDlg.okLabelString: Authenticate",
"*authselDlg.cancelLabelString: Dismiss",
"*authselDlg.autoUnmanage: False",
"*authselDlg.width: 607",
"*authselDlg*resizable: False",
"*authselDlg*fontList: -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*=selectfont, -adobe-helvetica-medium-o-*-*-12-*-*-*-*-*-*-*=selectfont2",
"*authDNDlg.dialogTitle: Authenticate",
"*authDNDlg.listLabelString: Choose an entry to authenticate as	",
"*displayDlg.allowShellResize: True",
"*displayDlg.deleteResponse: do_nothing",
"*displayForm.resizable: True",
"*displayPane.resizable: True",
"*displaySWin.visualPolicy: variable",
"*displaySWin.width: 550",
"*displaySWin.height: 600",
"*displayDlg*textWidget.editMode: MULTI_LINE_EDIT",
"*displayDlg*displaySaveButton.labelString: Save Entry",
"*displayDlg*displayDismissButton.labelString: Dismiss",
"*displayDlg*displayHelpButton.labelString: Help",
"*URLButton.arrowDirection: arrow_right",
"*DNButton.arrowDirection: arrow_right",
"*browseDlg.title: xax500 Browser",
"*browseDlg.deleteResponse: do_nothing",
"*browseDlg.iconName: Browser",
"*browseDlg*fontList: -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*=browserfont, -adobe-helvetica-medium-o-*-*-12-*-*-*-*-*-*-*=browserfont2",
"*browserWorldButton.labelString: <The World>",
"*browseDlg*browseDoneButton.labelString: Dismiss",
"*browseDlg*browseOpenButton.labelString: Open",
"*browseDlg*browseDisplayButton.labelString: Display",
"*browseDlg*browseSetSearchbaseButton.labelString: Set Searchbase",
"*browseDlg*browseHelpButton.labelString: Help",
"*errorDlg.dialogTitle: Error",
"*infoDlg.dialogTitle: Information",
"*aboutDlg.iconName: About xax500",
"*aboutDlg.deleteResponse: do_nothing",
"*aboutDlg*aboutDismissButton.labelString: Dismiss",
"*aboutDlg*aboutHelpButton.labelString: Help",
"*aboutDlg*aboutLabel.alignment: alignment_beginning",
"*aboutDlg*aboutLabel.fontList: -*-new century schoolbook-medium-r-*-*-12-*-*-*-*-*-*-*",
"*authAsDialog.dialogTitle: Authenticate",
"*authAsDialog.selectionLabelString: Authenticate as:",
"*authAsDialog.width: 600",
"*authTypeDlg.dialogTitle: Authentication Type",
"*authTypeDlg.width: 310",
"*authTypeDlg.height: 150",
"*authTypeDlg.listLabelString: Select an authentication method",
"*authTypeDlg.okLabelString: Bind",
"*authTypeDlg.cancelLabelString: Cancel",
"*authTypeDlg.helpLabelString: Help",
"*passwdDialog.selectionLabelString: Enter your password:",
"*passwdDialog.dialogTitle: Password",
"*yncDialog*okLabelString: Yes",
"*yncDialog*cancelLabelString: No",
"*yncDialog*helpLabelString: Cancel",
"*yncDialog*dialogTitle: Question",
"*helpDlg.iconName: xax500 help",
"*helpDlg*fontList: -*-courier-*-r-*-*-14-*-*-*-*-*-*-*",
"*helpDlg.deleteResponse: do_nothing",
"*helpDlg*helpDismissButton.labelString: Dismiss",
"*helpDlg*helpSWin.width: 740",
"*helpDlg*helpSWin.height: 500",
"*helpDlg*normalFont: -*-times-medium-r-normal-*-14-*-*-*-*-*-*-*",
"*helpDlg*highlightFont: -*-times-bold-i-normal-*-14-*-*-*-*-*-*-*",
"*helpDlg*helpHyper*highlightColor: mediumslateblue",
"*helpDlg*boldFont: -*-times-bold-r-normal-*-14-*-*-*-*-*-*-*",
"*helpDlg*italicFont: -*-times-medium-i-normal-*-14-*-*-*-*-*-*-*",
"*helpDlg*zoomEffect: on",
"*helpDlg*zoomSpeed: 1",
"*helpDlg*helpPrevButton.labelString: Previous Topic",
"*helpDlg*helpNextButton.labelString: Next Topic",
"*helpDlg.width: 500",
"*helpDlg.height: 600",
"*startupDlg*width: 200",
"*startupDlg*height: 80",
"*addDNDlg.selectionLabelString: Name to add:",
"*addDNDlg.dialogTitle: Add Distinguished Name",
"*URLeditDlg.dialogTitle: Add Labeled URL",
"*URLeditLabelString.labelString: Label:",
"*URLeditDlg.selectionLabelString: URL:",
"*URLeditDlg.width: 400",
"*URLeditDlg.height: 200",
"*emBlanksNotAllowed: Blanks are not allowed in email addresses",
"*emSearchTimedOut: The search operation timed out",
"*emBlankURLNotAllowed: Empty URLs are not permitted",
"*emBadDNArgs: Malformed arguments for adddn action - check ldaptemplates configuration file",
"*emSizeLimit: (Partial results - a size limit was exceeded)",
"*emTimeLimit: (Partial results - a time limit was exceeded)",
NULL
};
