/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

#define	DEFAULT_APP_NAME		"xax500"
#define	MAX_MENU_ITEMS			20
#define DFLT_FM_FILE			"/usr/local/etc/ldapfriendly"
#define	DFLT_SEARCH_BASE		"o=University of Michigan, c=US"
#define	DFLT_LDAP_SERVER		"ldap.itd.umich.edu"
#define	DFLT_BIND_DN			"cn=xax500, ou=Miscellaneous Servers, o=University of Michigan, c=US"
#define	DFLT_FILT_FILE			"/usr/local/etc/ldapfilter.conf"
#define	DFLT_CACHE_SIZE			256	/* in kb */
#define	DFLT_CACHE_TIME			15	/* in minutes */
#define	DFLT_GLOBAL_CONFIG_FILE		"/usr/local/etc/xax500.config"
#define	DFLT_CONFIG_FILE		".xax500-config"
#define DFLT_WWW_BROWSER		"xmosaic"
#define DFLT_JPEG_VIEWER		"xv"
#define DFLT_AUDIO_VIEWER		"play"
#define DFLT_MAX_SEL_LEN		50
#define	DFLT_HELP_FILE			"/usr/local/etc/xax500.help"
#define	DFLT_LDAP_TEMPLATES_FILE	"/usr/local/etc/ldaptemplates.conf"
#define	DFLT_LDAP_SEARCHPREFS_FILE	"/usr/local/etc/ldapsearchprefs.conf"
#define DFLT_AUTH_FILTER		"xax500-auth"
#define DFLT_LDAP_SEARCH_TIMEOUT	30	/*in  seconds */
#define DFLT_LDAP_READ_TIMEOUT		30	/*in  seconds */
#define DFLT_LDAP_WRITE_TIMEOUT		30	/*in  seconds */
#define DFLT_NEWS_URL			"http://www.umich.edu/~rsug/x500/xax500/xax500news.html"
#define DFLT_MSG_SB_FULLNAME		"Sort by Full Name"
#define DFLT_MSG_SB_SURNAME		"Sort by Surname"

#define NUM_SEARCHACTION_ARGS		5
#define NUM_LINKACTION_ARGS		1
#define NUM_ADDDNACTION_ARGS		6
#define NUM_VERIFYDNACTION_ARGS		2


/* error texts */
#define DMBlanksNotAllowed 	"Blanks are not allowed in e-mail addresses"
#define DMHelpTextNotFoundDlgLabel	"Unknown Help Topic"
#define	DMSearchTimedOut	"The search operation timed out"
#define	DMBlankURLNotAllowed	"Empty URLs are not permitted"
#define	DMHelpTextNotFound	"Sorry, can't find that help text.  Return to the {Main Index}"
#define DMSizeLimit		"(Partial results - a size limit was exceeded)"
#define	DMTimeLimit		"(Partial results - a time limit was exceeded)"
#define DMBadDNArgs		"Malformed arguments for adddn action - check ldaptemplates config"

/* Write error returns */
#define	WR_OK			0
#define	WR_CANCELLED		1
#define	WR_ERR_TIMEOUT		2
#define	WR_LDAP_ERROR		3

/* user interface stuff */
extern Widget			toplevel;
extern Widget			mainPane;
extern Widget			workingDlg;
extern Widget			helpDlg;
extern Widget			aboutDlg;
extern Boolean			browserActive;
extern Widget			browseDlg;
extern Boolean			entryDlgActive;
extern char			*progname;
extern MenuItem			search_type_menu_items[];
extern Pixel			fg, bg;
extern XtAppContext		app;
extern AppData			appConfig;
extern findDataStruct		*findData;
extern struct ldap_searchobj	*searchprefs;
extern struct ldap_disptmpl	*templates;
extern struct forkedApps	*forkedAppsList;
extern FriendlyMap		*fr_map;

extern Boolean			WWWViewerActive;
extern pid_t			WWWpid;

extern authStruct		*auth;	/* authentication information */

extern int			numAddableTemplates;

extern displayData		*displayDlgData; 
extern displayData		*latestDisplayDlg;
extern XtTranslations		parsedDragTranslations;
extern XtTranslations		parsedNoDragTranslations;

extern char			*appname;

/* LDAP globals */
extern LDAP			*ldp;
extern char			search_base[];
extern char			bound_as[];
extern Boolean			sticky_bind;
extern struct timeval		*zerotime;
extern syntaxdata		syntaxes[];
