/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

typedef struct helpNode {
    char		*heading;	/* section heading */
    char		*text;		/* help text */
    long		offset;		/* offset in file */
    long		length;		/* length of section in bytes */
    struct helpNode	*left;
    struct helpNode	*right;
} helpNode;

#ifndef NEEDPROTOS
void		doHelpDlg();
int		parse_help_file();
void		retrieveNews();
#else /* !NEEDPROTOS */
void		doHelpDlg(Widget w, char *section);
int		parse_help_file(char *file);
void		retrieveNews(Widget w, XtPointer client_data,
			XmAnyCallbackStruct *cbs);
#endif /* !NEEDPROTOS */

#define	HLP_TOPIC_EDITING	"Changing Your Entry"
#define	HLP_TOPIC_VIEWING	"Viewing an Entry"
#define	HLP_TOPIC_BROWSING	"Browsing the X.500 Directory"
#define	HLP_TOPIC_TOP		"Main Index"
#define	HLP_TOPIC_SELECT_LIST	"Making a Selection from an Entry List"
#define HLP_TOPIC_AUTHENTICATE	"Authenticating to the X.500 Directory"
