/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

typedef struct {
    char	*label;
    void	(*callback)();
    caddr_t	data;			/* callback data */
    Widget	*widget;		/* returned to caller */
} ActionAreaItem;

#ifndef NEEDPROTOS
void		cleanup_and_exit();
void		SetIcon();
void		create_app_buttons();
void		reap_child();
Widget		CreateActionArea();
Widget		GetTopShell();
Widget		create_pixmap_button();
Widget		create_find_button();
char		*strip_ignore_chars();
int		is_leaf();
void		ForceDialog();
void		SetFocus();
void		raiseFindWindow();
void		freeXmStringList();
void		configureSize();
valueData	*get_valuedata();
void		free_valuedata();
searchData	*get_searchdata();
void		free_searchdata();
char		**copy_vals();
char		**ccopy();
void		flushCache();
int		str2upper();
Boolean		isDisplayDialog();
char		*sort_strings();
void		initAtoms();
int		stcmp();
Widget		getLabelGadgetChild();
Widget		getArrowButtonChild();
void		timedStatusUpdate();
displayData	*getDisplayDataByWidget();
displayData	*getDisplayData();
displayAttrData	*getDisplayAttrDataByTemplate();
displayAttrData	*getDisplayAttrDataByLabelWidget();
Boolean		isDNAttrData();
Boolean		isURLAttrData();
int		berval_add();
int		berval_del();
int		berval_compare();
int		bervec_compare();
int		init_ldap();
int		reconnect_ldap();
int		split_labeled_url();
void		disableDragSource();
int		okToAddValuetoAttribute();
void		displayLabelTimed();
struct berval	**bervec_copy();
char		*convertDNEscape();
char		*convertMessageDNEscape();
entryData	*ldapMessage2entryData();
entryData	*ldapTemplate2entryData();
attrData	*getAttrDataByName();
struct berval	**make_value_len();
void		free_actiondata();
char		*ch_malloc();
char		*ch_realloc();
char		*ch_calloc();
void		ch_free();
#else /* !NEEDPROTOS */
void		cleanup_and_exit();
void		SetIcon(Widget w, char *name);
void		create_app_buttons();
void		reap_child(int sig, int code, void *scp, char *addr);
Widget		CreateActionArea(Widget parent, ActionAreaItem *actions,
			int num_actions);
Widget		GetTopShell(Widget w);
Widget		create_pixmap_button(Widget parent, char *pixmap_name,
			char *inactive_pixmap_name, char    *wname);
Widget		create_find_button(Widget parent);
char		*strip_ignore_chars();
int		is_leaf(char *dn, char **oclist);
void		ForceDialog(Widget w);
void		SetFocus(Widget parent, Widget w);
void		raiseFindWindow(Widget w, XtPointer client_data,
			XmAnyCallbackStruct *cbs);
void		freeXmStringList(XmString *items, int count);
void		configureSize(Widget w, XtPointer client_data,
			XConfigureEvent *event);
valueData	*get_valuedata(displayData *dd);
void		free_valuedata(valueData *vd);
searchData	*get_searchdata();
void		free_searchdata(struct searchData **fp);
char		**copy_vals(char **vals);
char		**ccopy(char **src);
void		flushCache(Widget w, XtPointer data, XtPointer cbs);
int		str2upper(char *s);
Boolean		isDisplayDialog(Widget w);
char		*sort_strings(char *in);
void		initAtoms();
int		stcmp(char **a, char **b);
Widget		getLabelGadgetChild(Widget w);
Widget		getArrowButtonChild(Widget w);
void		timedStatusUpdate(Widget w, char *text, int delay);
displayData	*getDisplayDataByWidget(Widget w);
displayData	*getDisplayData();
displayAttrData	*getDisplayAttrDataByTemplate(displayData *d,
			struct ldap_tmplitem *ti);
displayAttrData	*getDisplayAttrDataByLabelWidget(Widget w);
Boolean		isDNAttrData(displayAttrData *dad);
Boolean		isURLAttrData(displayAttrData *dad);
int		berval_add(struct berval ***bv, char *str);
int		berval_del(struct berval ***bv, char *str);
int		berval_compare(struct berval *v1, struct berval *v2);
int		bervec_compare(struct berval **b1, struct berval **b2);
int		init_ldap(LDAP **p);
int		reconnect_ldap(int rc);
int		split_labeled_url(char *lurl, char **label, char **url);
void		disableDragSource(Widget w);
int		okToAddValuetoAttribute(displayData *dd, displayAttrData *dad,
			char *value);
void		displayLabelTimed(Widget w, char *msg, int time);
struct berval	**bervec_copy(struct berval **in);
char		*convertDNEscape(char *str, char *entryDN);
char		*convertMessageDNEscape(char *str, char *entryDN);
entryData	*ldapMessage2entryData(LDAP *ld, LDAPMessage *e,
			struct ldap_disptmpl *dt);
entryData	*ldapTemplate2entryData(struct ldap_disptmpl *dt,
			char *addersdn);
attrData	*getAttrDataByName(attrData *ad, char *attr);
struct berval	**make_value_len(char *value);
void		free_actiondata(actionData *actd);
char		*ch_malloc(unsigned long size);
char		*ch_realloc(char *block, unsigned long size);
char		*ch_calloc(unsigned long nelem, unsigned long size);
void		ch_free(char *p);
#endif /* !NEEDPROTOS */



#ifdef max
#undef max
#endif
#ifdef min
#undef min
#endif
#define max(a, b) ((int) (a) > (int) (b) ? (int) (a) : (int) (b))
#define min(a, b) ((int) (a) < (int) (b) ? (int) (a) : (int) (b))
