/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 *
 * Portions Copyright 1991 O'Reilly & Associates, Inc.
 *
 */

#ifndef NEEDPROTOS
extern void	writeEntry();
extern void	deleteEntry();
#else /* !NEEDPROTOS */
extern void	writeEntry(displayData *d);
extern void	deleteEntry(displayData *d);
#endif /* !NEEDPROTOS */

typedef struct modData {
Widget		status;		/* for updating parent status widget */
Widget		parent;		/* parent for any new widgets created */
Widget		workingDlg;	/* id of working dialog if present */
int		msgid;		/* currently outstanding search id */
time_t		start_time;	/* time search was started */
int		ldaprc;		/* return code from last op */
XtIntervalId	timer;		/* Xt timer */
displayData	*dd;		/* ptr to display data */
int		operation;	/* LDAP_REQ_MODIFY or LDAP_REQ_DELETE */
} modData;

typedef struct addValueData {
Widget		status;		/* for updating parent status widget */
Widget		parent;		/* parent for any new widgets created */
Widget		workingDlg;	/* id of working dialog if present */
int		msgid;		/* currently outstanding search id */
time_t		start_time;	/* time search was started */
int		ldaprc;		/* return code from last op */
XtIntervalId	timer;		/* Xt timer */
void		(*fn)();	/* fn to call when op finished */
void		*cdata;		/* client data, passed to fn() */
char		*dn;		/* DN of entry we're modifying */
char		*attr;		/* attr to be modified */
char		*value;		/* value to add */
} addValueData;
